<template>
    <button @click="disparaAcao()" :class="estiloDoBotao" :type="tipo">{{ rotulo }}</button>
</template>

<script>
    export default {
        props: {
            tipo: {
                required: true
            },
            rotulo: {
                required: true
            },
            confirmacao: Boolean,
            estilo: String
        },
        methods: {
            disparaAcao() {
                if (this.confirmacao) {
                    if (confirm('Confirma a exclusão?')) {
                        this.$emit('botaoAtivado', new Date());
                    }
                    return;
                }
                this.$emit('botaoAtivado', new Date());
            }
        },
        computed: {
            estiloDoBotao() {
                if (this.estilo == 'padrao' || !this.estilo) return 'botao botao-padrao';
                if (this.estilo == 'perigo') return 'botao botao-perigo';
            }
        }
    }
</script>

<style lang="scss">
    .botao {
        display: inline-block;
        padding: 10px;
        border: none;
        border-radius: 3px;
        margin: 10px;
        font-size: 14px;
        cursor: pointer;

        &:hover {
            opacity: 0.9;
        }
    }
    .botao-perigo {
        background: firebrick;
        color: #fff;
    }
    .botao-padrao {
        background: darkcyan;
        color: #fff
    }
</style>